[Rainmeter]
Update=1000
LeftMouseDoubleClickAction=!Refresh

[Variables]
WeatherLocation=RSXX0063
ImperialMetric=m
FahrenheitCelsius=C
WebBrowser=C:\Users\%username%\AppData\Local\Google\Chrome\Application\chrome.exe
DateFormat=%a. %#d %b.
HoursFormat=%I
AMPM=0
H=200

W=(#H#*449/300)
MeterStyle=MeterStyle_White

[MeterStyle_White]
FontFace=Arial
FontColor=255,255,255,255
StringEffect=Border
FontEffectColor=0,0,0,255
Antialias=1

[MeterStyle_Black]
FontFace=Arial
FontColor=32,32,32,255
StringEffect=Shadow
FontEffectColor=255,255,255,255
Antialias=1

;=======================;
;	Weather		;
;=======================;

[Measure_dnam]
Measure=Plugin
Plugin=Plugins\WebParser.dll
UpdateRate=900
URL=http://xml.weather.com/weather/local/#WeatherLocation#?cc=*&unit=#ImperialMetric#&dayf=7
RegExp="(?siU).*<locale>(.*)</locale>.*<ut>(.*)</ut>.*<ud>(.*)</ud>.*<us>(.*)</us>.*<up>(.*)</up>.*<ur>(.*)</ur>.*<loc id="(.*)">.*<dnam>(.*)</dnam>.*<tm>(.*)</tm>.*<lat>(.*)</lat>.*<lon>(.*)</lon>.*<sunr>(.*)</sunr>.*<suns>(.*)</suns>.*<zone>(.*)</zone>.*<cc>.*<lsup>(.*)</lsup>.*<obst>(.*)</obst>.*<tmp>(.*)</tmp>.*<flik>(.*)</flik>.*<t>(.*)</t>.*<icon>(.*)</icon>.*<bar>.*<r>(.*)</r>.*<d>(.*)</d>.*<wind>.*<s>(.*)</s>.*<gust>(.*)</gust>.*<d>(.*)</d>.*<t>(.*)</t>.*<hmid>(.*)</hmid>.*<vis>(.*)</vis>.*<uv>.*<i>(.*)</i>.*<t>(.*)</t>.*<dewp>(.*)</dewp>.*<moon>.*<icon>(.*)</icon>.*<t>(.*)</t>.*"
StringIndex=8
Substitute=",":"#CRLF#"

[Measure_tmp]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Measure_dnam]
StringIndex=17

[Measure_t]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Measure_dnam]
StringIndex=19
Substitute="Mostly Cloudy":"Переменная облачность","Light Snow":"Небольшой снег","Light Rain Shower":"Небольшой ливень","Light Rain":"Небольшой дождь","Mostly Clear":"Переменная облачность","Mostly Sunny":"Облачно с прояснениями","Partly Cloudy":"Ясно","Freezing Rain":"Ледяной дождь","Light ain":"Небольшой дождь","in the Vicinity":"в окрестности","Light Snow":"Небольшой снег","W-ead Dust":"Пыльная буря","Light Drizzle":"Небольшая изморось","Showers Late":"Поздний дождь","Cloudy":"Дождь","Drizzle":"Изморось","Lgt":"Ясно","And":"И","Partly":"Местами","and":"и","with":"с","Clear":"Ясно","Fair":"Ясно","Rain":"Дождь","Thunderstorm":"Гроза","Thunder":"Гром","Snow":"Снег","Sunny":"Солнечно","Windy":"Ветренно","Haze":"Дымка","Fog":"Туман","Set":"Закат","Wintry Mix":"Ветер","Light":"Ясно","Mist":"Туман","Wind":"Ветер","Showers":"Дождь","Scattered":"Моросящий","T-Storms":"Гроза","AM":"Ночью","PM":"Днем","Isolated":"Временами"

[Measure_icon]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Measure_dnam]
StringIndex=20
Substitute="":"44.png"

[Measure_MeterStyle]
Measure=Calc
Formula=(Measure_icon=13) || (Measure_icon=14) || (Measure_icon=16) || (Measure_icon=42) || (Measure_icon=43) ? 1 : 0
IfAboveValue=0
IfAboveAction=!Execute [!SetVariable MeterStyle MeterStyle_Black]
IfEqualValue=0
IfEqualAction=!Execute [!SetVariable MeterStyle MeterStyle_White]

[Meter_icon]
Meter=Image
MeasureName=Measure_icon
W=#W#
H=#H#
ImageName=MIUI Weather\%1
Antialias=1

[Meter_tmp]
Meter=String
MeasureName=Measure_tmp
X=(418*#W#/449)
Y=(185*#H#/300)
W=(193*#W#/449)
H=(47*#H#/300)
MeterStyle=#MeterStyle#
FontSize=(32*#W#/449)
StringAlign=Right
Text="%1°#FahrenheitCelsius#"
LeftMouseUpAction=!Execute [#WebBrowser# "http://weather.com/weather/local/#WeatherLocation#?cc=*&unit=#ImperialMetric#&dayf=7"]
ToolTipText="http://weather.com/"
DynamicVariables=1
ClipString=1

[Meter_dnam]
Meter=String
MeasureName=Measure_dnam
X=(24*#W#/449)
Y=(238*#H#/300)
W=(200*#W#/449)
H=(25*#H#/300)
MeterStyle=#MeterStyle#
FontSize=(17*#W#/449)
LeftMouseUpAction=!Execute [notepad.exe "#CURRENTPATH#/MIUI Weather.ini"]
ToolTipText="MIUI Weather"
DynamicVariables=1
ClipString=1

[Meter_t]
Meter=String
MeasureName=Measure_t
X=(424*#W#/449)
Y=(238*#H#/300)
W=(199*#W#/449)
H=(25*#H#/300)
MeterStyle=#MeterStyle#
FontSize=(17*#W#/449)
StringAlign=Right
LeftMouseUpAction=!Execute [#WebBrowser# "http://weather.com/weather/local/#WeatherLocation#?cc=*&unit=#ImperialMetric#&dayf=7"]
ToolTipText="http://weather.com/"
DynamicVariables=1
ClipString=1

;=======================;
;	Date		;
;=======================;

[Measure_Date]
Measure=Time
Format=#DateFormat#
Substitute="Mon":"Пон","Tue":"Вто","Wed":"Сре","Thu":"Чет","Fri":"Пят","Sat":"Суб","Sun":"Вос","Jan":"Янв","Feb":"Фев","Mar":"Мар","Apr":"Апр","May":"Май","Jun":"Июн","Jul":"Июл","Aug":"Авг","Sep":"Сен","Oct":"Окт","Nov":"Ноя","Dec":"Дек"

[Meter_Date]
Meter=String
MeasureName=Measure_Date
X=(34*#W#/449)
Y=(204*#H#/300)
W=(190*#W#/449)
H=(24*#H#/300)
MeterStyle=#MeterStyle#
FontSize=(16*#W#/449)
DynamicVariables=1
ClipString=1

;=======================;
;	Clock		;
;=======================;

[Measure_Hours]
Measure=Time
Format=#HoursFormat#

[Measure_Minutes]
Measure=Time
Format=%M

[Measure_AMPM]
Measure=Time
Format=%p
Disabled=#AMPM#

[Meter_Hours]
Meter=String
MeasureName=Measure_Hours
X=(56*#W#/449)
Y=(30*#H#/300)
MeterStyle=MeterStyle_Black
FontSize=(82*#W#/449)

[Meter_Minutes]
Meter=String
MeasureName=Measure_Minutes
X=(228*#W#/449)
Y=(30*#H#/300)
MeterStyle=MeterStyle_Black
FontSize=(82*#W#/449)

[Meter_AMPM]
Meter=String
MeasureName=Measure_AMPM
X=(57*#W#/449)
Y=(137*#H#/300)
MeterStyle=MeterStyle_Black
FontSize=(11*#W#/449)
StringStyle=Bold
Hidden=#AMPM#